# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: checker.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='checker.proto',
  package='prime',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\rchecker.proto\x12\x05prime\"&\n\x04Pair\x12\x11\n\tpasswords\x18\x01 \x01(\t\x12\x0b\n\x03zip\x18\x02 \x01(\t\" \n\x0ePasswordResult\x12\x0e\n\x06result\x18\x01 \x01(\t2B\n\x07\x43hecker\x12\x37\n\x0f\x63heck_passwords\x12\x0b.prime.Pair\x1a\x15.prime.PasswordResult\"\x00\x62\x06proto3'
)




_PAIR = _descriptor.Descriptor(
  name='Pair',
  full_name='prime.Pair',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='passwords', full_name='prime.Pair.passwords', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='zip', full_name='prime.Pair.zip', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=24,
  serialized_end=62,
)


_PASSWORDRESULT = _descriptor.Descriptor(
  name='PasswordResult',
  full_name='prime.PasswordResult',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='result', full_name='prime.PasswordResult.result', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=64,
  serialized_end=96,
)

DESCRIPTOR.message_types_by_name['Pair'] = _PAIR
DESCRIPTOR.message_types_by_name['PasswordResult'] = _PASSWORDRESULT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Pair = _reflection.GeneratedProtocolMessageType('Pair', (_message.Message,), {
  'DESCRIPTOR' : _PAIR,
  '__module__' : 'checker_pb2'
  # @@protoc_insertion_point(class_scope:prime.Pair)
  })
_sym_db.RegisterMessage(Pair)

PasswordResult = _reflection.GeneratedProtocolMessageType('PasswordResult', (_message.Message,), {
  'DESCRIPTOR' : _PASSWORDRESULT,
  '__module__' : 'checker_pb2'
  # @@protoc_insertion_point(class_scope:prime.PasswordResult)
  })
_sym_db.RegisterMessage(PasswordResult)



_CHECKER = _descriptor.ServiceDescriptor(
  name='Checker',
  full_name='prime.Checker',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=98,
  serialized_end=164,
  methods=[
  _descriptor.MethodDescriptor(
    name='check_passwords',
    full_name='prime.Checker.check_passwords',
    index=0,
    containing_service=None,
    input_type=_PAIR,
    output_type=_PASSWORDRESULT,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_CHECKER)

DESCRIPTOR.services_by_name['Checker'] = _CHECKER

# @@protoc_insertion_point(module_scope)
